summaryrefslogtreecommitdiffstats
path: root/news/dnews
diff options
context:
space:
mode:
authortg <tg@FreeBSD.org>2000-07-05 12:37:06 +0000
committertg <tg@FreeBSD.org>2000-07-05 12:37:06 +0000
commit3a84881f168162a487490bbbd275ca05b7f5560d (patch)
treee888acd7e17d635c1f902fccb1eefdf89f15641a /news/dnews
parent83513fef56c1c9996eb040a93488ed7837fac927 (diff)
downloadFreeBSD-ports-3a84881f168162a487490bbbd275ca05b7f5560d.zip
FreeBSD-ports-3a84881f168162a487490bbbd275ca05b7f5560d.tar.gz
As threatened on freebsd-ports: all startup scripts know about the two
options `start' and `stop' now (unless I have forgotten any). This allows us to call the scripts from /etc/rc.shutdown with the correct option. The (42 or so) ports that already DTRT before are unchanged.
Diffstat (limited to 'news/dnews')
-rw-r--r--news/dnews/files/dnews.sh24
1 files changed, 18 insertions, 6 deletions
diff --git a/news/dnews/files/dnews.sh b/news/dnews/files/dnews.sh
index b714714..0a478e7 100644
--- a/news/dnews/files/dnews.sh
+++ b/news/dnews/files/dnews.sh
@@ -2,11 +2,23 @@
# start dnews if it's really there ... usually in /usr/local ...
-[ -x /usr/local/lib/dnews/dnews_start ] \
- && /usr/local/lib/dnews/dnews_start > /dev/null 2>&1 &
+case $1 in
+start)
+ [ -x /usr/local/lib/dnews/dnews_start ] \
+ && /usr/local/lib/dnews/dnews_start > /dev/null 2>&1 &
-# dnews started successfully if exit status = 0
+ # dnews started successfully if exit status = 0
-if [ $? -eq 0 ]; then
- echo -n ' dnews'
-fi
+ if [ $? -eq 0 ]; then
+ echo -n ' dnews'
+ fi
+ ;;
+stop)
+ ;;
+*)
+ echo "Usage: `basename $0` {start|stop}" >&2
+ exit 64
+ ;;
+esac
+
+exit 0
OpenPOWER on IntegriCloud